Bug 486605 - Firewall dialog freezes upon startup with assistive technologies enabled
Firewall dialog freezes upon startup with assistive technologies enabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
: 483404 520883 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 11:04 EST by Michael Cronenworth
Modified: 2009-11-18 09:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 09:45:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Cronenworth 2009-02-20 11:04:05 EST
Description of problem: Summary


Version-Release number of selected component (if applicable): system-config-firewall-1.2.13-2.fc10


How reproducible: Always


Steps to Reproduce:
1. Enable Assistive Technologies
2. Start system-config-firewall
3. Window will be drawn, but it is immediately frozen and must be killed.
4. Disable Assistive Technologies
5. system-config-firewall starts
  
Actual results: Frozen window


Expected results: Working window


Additional info: A google search finds that other users are having the same issue. http://forums.fedoraforum.org/showthread.php?t=214273
Comment 1 Thomas Woerner 2009-02-20 11:48:19 EST
Could you explain what assistive technologies is? How do I install and/or enable it?
Comment 2 Michael Cronenworth 2009-02-20 12:03:02 EST
# yum install control-center
$ gnome-at-properties

This is also available in Gnome's System>Personal menu option. Check the box that says "Enable assistive technologies" and click on "Close and Log Out" then try system-config-firewall.
Comment 3 Thomas Woerner 2009-02-20 12:27:53 EST
system-config-firewall is not frozen, but inserting en element into a treeview takes a lot of time with assistive technologies enabled.
Comment 4 Thomas Woerner 2009-02-20 12:32:31 EST
This seems to be a gtk2 problem.

Reassigning to gtk2.
Comment 5 Thomas Woerner 2009-03-16 12:58:55 EDT
*** Bug 483404 has been marked as a duplicate of this bug. ***
Comment 6 Gene Czarcinski 2009-09-02 16:25:53 EDT
*** Bug 520883 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2009-11-18 06:10:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Michael Cronenworth 2009-11-18 09:45:59 EST
Looks to be fixed with F12 final. Following my STR I do not see any slow window drawing.

Current Version:
system-config-firewall-1.2.21-1.fc12
gtk2-2.18.3-21.fc12

Note You need to log in before you can comment on or make changes to this bug.